It's our 19th anniversary!

Update Your Client Terminal before June 1, 2012

Publication Date: May 24, 2012

Dear Clients,

On June 1st, 2012 we will discontinue support of all terminals older than build 416.1 This means that all older versions will no longer be able to connect to the server. Please ensure that you have downloaded the most recent version of the terminal, which you can do from our site.

Best Regards,
Alpari

 

Please Note:

  1. You can see the build version in the terminal menu. Open the "Help" menu and choose "About".

Category: Site maintenance notifications

Mo
Tu
We
Th
Fr
Sa
Su
Wk
30
1
2
3
4
5
6
18
7
8
9
10
11
12
13
19
14
15
16
17
18
19
20
20
21
22
23
24
25
26
27
21
28
29
30
31
1
2
3
22
4
5
6
7
8
9
10
23

Back to top